# setitimer_args Struct Reference

`#include <sysproto.h>`

## Data Fields

itimerval * | itv
char | itv_l_ [0]
char | itv_r_ [(sizeof(register_t)<=sizeof(struct itimerval *)?0:sizeof(register_t)-sizeof(struct itimerval *))]
itimerval * | oitv
char | oitv_l_ [0]
char | oitv_r_ [(sizeof(register_t)<=sizeof(struct itimerval *)?0:sizeof(register_t)-sizeof(struct itimerval *))]
u_int | which
char | which_l_ [0]
char | which_r_ [(sizeof(register_t)<=sizeof(u_int)?0:sizeof(register_t)-sizeof(u_int))]

## Detailed Description

Definition at line 62 of file sysproto.h.

## Field Documentation

struct itimerval* setitimer_args::itv

Definition at line 64 of file sysproto.h.

char setitimer_args::itv_l_[0]

Definition at line 64 of file sysproto.h.

char setitimer_args::itv_r_[(sizeof(register_t)<=sizeof(struct itimerval *)?0:sizeof(register_t)-sizeof(struct itimerval *))]

Definition at line 64 of file sysproto.h.

struct itimerval* setitimer_args::oitv

Definition at line 65 of file sysproto.h.

char setitimer_args::oitv_l_[0]

Definition at line 65 of file sysproto.h.

char setitimer_args::oitv_r_[(sizeof(register_t)<=sizeof(struct itimerval *)?0:sizeof(register_t)-sizeof(struct itimerval *))]

Definition at line 65 of file sysproto.h.

u_int setitimer_args::which

Definition at line 63 of file sysproto.h.

char setitimer_args::which_l_[0]

Definition at line 63 of file sysproto.h.

char setitimer_args::which_r_[(sizeof(register_t)<=sizeof(u_int)?0:sizeof(register_t)-sizeof(u_int))]

Definition at line 63 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h